/// <reference types="node" />
import { EventEmitter } from 'events';
import { WS } from './Websocket';
import Rest from './Rest/index';
import { User } from './Collections/User';
import { ClientUser } from './Types/ClientUser';
import { House } from './Collections/House';
import { Member } from './Collections/Member';
import { Message } from './Collections/Message';
import { Room } from './Collections/Room';
export declare let rest: Rest;
export declare let ws: WS;
export declare let client: Client;
interface ClientOptions {
    type: string;
}
export declare interface Client {
    ws: WS;
    rest: Rest;
    users: User;
    rooms: Room;
    houses: House;
    members: Member;
    messages: Message;
    options: ClientOptions;
    user?: ClientUser;
    token?: string;
    on(event: 'room_create', listener: (room: Room) => void): this;
    on(event: 'house_join', listener: (house: House) => void): this;
    on(event: 'house_member_join', listener: (member: Member) => void): this;
    on(event: 'init', listener: () => void): this;
    on(event: 'message', listener: (msg: Message) => void): this;
    on(event: string, listener: Function): this;
}
export declare class Client extends EventEmitter {
    constructor(options?: ClientOptions);
    connect(token: string): Promise<void>;
    destroy(): void;
}
export {};
