import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { Room } from './Room';
import { Member } from './Member';
import { User } from './User';
export declare interface House {
    id: string;
    name: string;
    owner?: User;
    icon?: string;
    banner?: string;
    synced?: boolean;
    members?: Member;
    rooms?: Room;
    created: Date;
}
export declare class House extends BaseCollection {
    private client?;
    constructor(client: Client);
    collect<T = any>(key: string, value: any): T;
    create(name: string): Promise<any>;
    createInvite(uses: number, age: number): Promise<any>;
    createRoom(name: string): Promise<any>;
    Join(code: string): Promise<any>;
    leave(): Promise<any>;
    destroy(): Promise<any>;
}
