import { BaseCollection } from './BaseCollection';
import { Client } from '../Client';
import { House } from './House';
import { Message } from './Message';
import { User } from './User';
export declare interface Room {
    id: string;
    name: string;
    content: string;
    timestamp: Date;
    room: Room;
    house: House;
    author: User;
    messages: Message;
    recipients: User;
    created: Date;
}
export declare class Room extends BaseCollection {
    client: Client;
    join_token?: string;
    constructor(client: Client);
    /**
     *
     * @param {string} key Object key
     * @param {value} value Object value
     */
    collect<T = any>(key: string, value: any): T;
    /**
     * Send function to send message to room
     * @param {string} content Message contents
     */
    send(content: string): Promise<Message>;
    create: (name: string) => Promise<Room>;
    destroy(): Promise<string>;
    join(): Promise<void>;
    leave(): void;
    /**
     * Start typing in the room for 10 seconds
     */
    startTyping(): Promise<void>;
}
