import { HeadersInit } from 'node-fetch';
import { Client } from '../Client';
interface RestBuild {
    method: 'get' | 'post' | 'put' | 'delete' | 'patch' | 'options' | 'head';
    path: string;
    data: any;
    headers: HeadersInit;
}
export default class Rest {
    private client;
    private token?;
    private API_HEADERS;
    constructor(client: Client);
    init(client: Client): Promise<void>;
    build<T = any>({ method, path, data, headers }: RestBuild): Promise<T>;
    get<T = any>(path: string, { data, headers }?: {
        data?: {} | undefined;
        headers?: {} | undefined;
    }): Promise<T>;
    post<T = any>(path: string, { data, headers }: {
        data?: {} | undefined;
        headers?: {} | undefined;
    }): Promise<T>;
    patch<T = any>(path: string, { data, headers }: {
        data?: {} | undefined;
        headers?: {} | undefined;
    }): Promise<T>;
    delete<T = any>(path: string, { data, headers }?: {
        data?: {} | undefined;
        headers?: {} | undefined;
    }): Promise<T>;
}
export {};
