/// <reference types="node" />
import { EventEmitter } from 'events';
import { RTCTransports } from './RTCTypes';
interface WSSettings {
    reconnectInt: number;
    reconnectCount: number;
}
export interface RTCCodec {
    kind: string;
    mimeType: string;
    clockRate: number;
    channels: number;
    rtcpFeedback: RtcpFeedback[];
    parameters: any;
    preferredPayloadType: number;
}
export interface RtcpFeedback {
    type: string;
    parameter: string;
}
export declare class Voice extends EventEmitter {
    private heartbeatInterval;
    private reconnectionCount;
    private settings;
    private cache;
    private ws;
    RTCTransports?: RTCTransports;
    headerExtensions?: string[];
    codecs?: RTCCodec[];
    constructor(settings?: WSSettings, cache?: {});
    sendOp(op: number, opts?: {
        e?: string;
        data?: any;
    }): Promise<void>;
    startHeartbeat(int: number): Promise<void>;
    destroy(): void;
    init(room_id: string, user_id: string, join_token: string): Promise<boolean>;
    reconnect(): Promise<boolean>;
}
export {};
